Ignore:
Timestamp:
02/01/10 13:16:52 (10 years ago)
Author:
maximinus_parpg
Message:

Added chewies patch to make parpg FIFE 0.3.0 compatible.
Thanks to the FIFE devs for all their work!
You now need FIFE 0.3.0 to run parpg.

Location:
trunk/game/scripts/objects
Files:
3 edited

Legend:

Unmodified
Added
Removed
  • trunk/game/scripts/objects/actors.py

    r470 r473  
    1515#   You should have received a copy of the GNU General Public License 
    1616#   along with PARPG.  If not, see <http://www.gnu.org/licenses/>. 
    17 import fife 
     17 
     18from fife import fife 
    1819from scripts import world 
    1920from base import * 
  • trunk/game/scripts/objects/base.py

    r451 r473  
    5151           super(TinCan,self).__init__ (*args, **kwargs) 
    5252           self.name = 'Tin Can'""" 
    53 import fife 
     53from fife import fife 
    5454from settings import Setting 
    5555from random import randrange 
  • trunk/game/scripts/objects/containers.py

    r451 r473  
    2525from composed import ImmovableContainer 
    2626from composed import CarryableItem 
    27 import fife 
     27from fife import fife 
    2828 
    2929class WoodenCrate (ImmovableContainer): 
Note: See TracChangeset for help on using the changeset viewer.